--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: the names of the storage receptacles for this resource across all repositories
- !ruby/struct:SM::Flow::P 
  body: "@return [Hash(Symbol =&gt; String)]"
- !ruby/struct:SM::Flow::VERB 
  body: "  All available names of storage recepticles\n"
- !ruby/struct:SM::Flow::P 
  body: "@api public"
full_name: DataMapper::Model#storage_names
is_singleton: false
name: storage_names
params: ()
visibility: public
